class Car {
  _color: string
  constructor(public miles: number) {
    this._color = 'Black';
  }
  
  get color() : string {
    return this._color;
  }
  
  set color(value: string) {
    if(value == 'Orange')
      throw "oh, no way, not orange";
    this._color = value;
  }
}

let car = new Car(10);
console.log(car.miles);
console.log(car.color);
try {
  car.color = 'Orange';
} catch(ex) {
  console.log(ex);
}
console.log(car.color);

car.color = 'Red';
console.log(car.color);